
<!-- README.md is generated from README.Rmd. Please edit that file -->

# BioNERO <img src='man/figures/logo.png' align="right" height="139" />

<!-- badges: start -->

[![Lifecycle:
experimental](https://img.shields.io/badge/lifecycle-experimental-orange.svg)](https://www.tidyverse.org/lifecycle/#experimental)
[![R-CMD-check-bioc](https://github.com/almeidasilvaf/BioNERO/workflows/R-CMD-check-bioc/badge.svg)](https://github.com/almeidasilvaf/BioNERO/actions)
[![Codecov test
coverage](https://codecov.io/gh/almeidasilvaf/BioNERO/branch/master/graph/badge.svg)](https://codecov.io/gh/almeidasilvaf/BioNERO?branch=master)
<!-- badges: end -->

## Installation

You can download the development version from
[GitHub](https://github.com/) with:

``` r
# install.packages("devtools")
devtools::install_github("almeidasilvaf/BioNERO")
```

## Overview

BioNERO aims to integrate all aspects of biological network inference in
a single package, including data preprocessing, exploratory analyses,
network inference, and analyses for biological interpretations. BioNERO
can be used to infer gene coexpression networks (GCNs) and gene
regulatory networks (GRNs) from gene expression data. Additionally, it
can be used to explore topological properties of protein-protein
interaction (PPI) networks. GCN inference relies on the popular WGCNA
algorithm. GRN inference is based on the “wisdom of the crowds”
principle, which consists in inferring GRNs with multiple algorithms
(here, CLR, GENIE3 and ARACNE) and calculating the average rank for each
interaction pair. As all steps of network analyses are included in this
package, BioNERO makes users avoid having to learn the syntaxes of
several packages and how to communicate between them. Finally, users can
also identify consensus modules across independent expression sets and
calculate intra and interspecies module preservation statistics between
different networks.
